#!/usr/local/bin/perl
use strict;
use Apache;
use Apache::Charset;


print "Content-Type: text/html\n\n";

if($ENV{GATEWAY_INTERFACE}=~/Perl/)
  {
    my $r = new Apache::Charset;
    print "Running under mod_perl<br>";
    print "Known charsets: ".join(" ",$r->charsets())."<br>\n";
    print "Server charset: ".$r->server_charset()."<br>\n";
    print "Client charset: ".$r->client_charset()."<br>\n";
    my $str="";
    
    print "Initial string: $str<br>\n";
    print "Same string in windows encoding: ",$r->recode($r->server_charset(),"windows-1251",$str)."<br>";
    my $s2 = $r->server2client($str);
    print "Recoded into client encoding: $s2<br>\n";
    my $s3 = $r->client2server($s2);
    print "Return to server encoding: $s3<br>\n";
    
    $str="%AA%BB%CC%DD%EE%FF";
    print "*_esc functions Test<br>\nInitial string: $str<br>\n";
    print "Same string in windows encoding: ",$r->recode_esc($r->server_charset(),"windows-1251",$str)."<br>";
    my $s2 = $r->server2client_esc($str);
    print "Recoded into client encoding: $s2<br>\n";
    my $s3 = $r->client2server_esc($s2);
    print "Return to server encoding: $s3<br>\n";


  }
else
  {
    print "Not under mod_perl, exiting";
    exit(0);
  }



#<!-- Keep this comment at the end of the file
#Local variables:
#mode: cperl
#sgml-omittag:t
#sgml-shorttag:t
#sgml-minimize-attributes:t
#sgml-always-quote-attributes:t
#sgml-indent-step:1
#sgml-indent-data:t
#End:
#-->
